E-MailRelay

Classes | Namespaces
ginterfaces.h File Reference
`#include "gdef.h"`
`#include "gaddress.h"`
`#include "gstrings.h"`
`#include "gexceptionsink.h"`
`#include "geventhandler.h"`
`#include "gfutureevent.h"`
`#include "gsocket.h"`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | GNet::Interfaces
| A class for getting a list of network interfaces and their addresses. More...
struct | GNet::Interfaces::Item
| Used by GNet::Interfaces to describe an interface address binding. More...
class | GNet::InterfacesHandler
| An interface for receiving notification of network changes. More...
class | GNet::InterfacesNotifier
| A pimple base-class used by GNet::Interfaces. More...

## Namespaces
namespace | GNet
| Network classes.